Skip to Content
veriom

Create evidence producer

POST
/v1/workspaces/{workspace_id}/evidence-producers

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
capabilities?array<string>
Items1 <= items <= 10
key_id*Key Id
Match^[A-Za-z0-9._:-]+$
Length3 <= length <= 128
name*Name
Length3 <= length <= 255
public_key*Public Key
Length40 <= length <= 256

Response Body

Successful Response

application/json
  1. response
algorithm*Algorithm
capabilities*array<string>
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
id*Id
Formatuuid
key_id*Key Id
last_used_at*|null
name*Name
public_key_sha256*Public Key Sha256
revoked_at*|null
revoked_by*|null
revoked_by_operator*string|null
status*Status
Value in"active""revoked"
updated_at*Updated At
Formatdate-time
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence-producers' \  -H 'Content-Type: application/json' \  -d '{  "key_id": "string",  "name": "string",  "public_key": "stringstringstringstringstringstringstri"}'
Example Response
{  "algorithm": "ed25519",  "capabilities": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key_id": "string",  "last_used_at": "2019-08-24T14:15:22Z",  "name": "string",  "public_key_sha256": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "revoked_by": "609d09bf-be33-45e0-963a-ff4cf608e85c",  "revoked_by_operator": "string",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}